
Redmine - Feature #2965

CAS Authentication

2009-03-13 12:44 - Dev Team UJM St Etienne

Status: New Start date: 2009-03-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Do you plan to implement CAS authentication system as a plugin or an internal authentication feature in redmine ?

Related issues:

Related to Redmine - Feature #2356: SSO Authentication (CAS Jasig) New 2008-12-18

History

#1 - 2009-03-13 20:19 - Jean-Philippe Lang

Adding CAS authentication to the Redmine core is not planned.

But some refactoring that would allow pluggable authentication is highly desirable.

#2 - 2009-03-13 23:26 - Eric Davis

- Category set to Accounts / authentication

I agree with Jean-Philippe, a pluggable authentication would be a very nice addition.  Then the LDAP and OpenID authentication types can be moved

out of the core and into plugins.
